Subject: Re: bug#22420: Zsh test failure

From: Leo Famulari <[email-masked]>
Date: Fri, 22 Jan 2016 15:43:06 -0500

On Fri, Jan 22, 2016 at 03:38:54PM -0500, Leo Famulari wrote:
> On Fri, Jan 22, 2016 at 09:34:39PM +0100, Ludovic Courtès wrote:
> > Leo Famulari <[email-masked]> skribis:
> > 
> > > I thought that perhaps it was referring to B02typeset.ztst, but I don't
> > > think there is anything related in that area of the file:
> > > 540   (
> > > 541   setopt glob
> > > 542   mkdir -p arrayglob
> > > 543   touch arrayglob/{one,two,three,four,five,six,seven}
> > > 544   fn() {
> > > 545     typeset array=(arrayglob/[tf]*)
> > 
> > Out of curiosity, what file system is this on?
> 
> Both filesystems are btrfs on LVM. The failing system is also using
> LUKS.

Well, actually, that only describes /home, which is perhaps not
relevant, although I did try and fail to build in a `guix environment
zsh` "by hand" in /home on the failing machine.

Failing system (separate /tmp):
/tmp /dev/mapper/bad--vg-tmp on /tmp type ext4 (rw,relatime,stripe=4,data=ordered)

Working system (/tmp on /):
/dev/mapper/good--vg-root on / type ext4 (rw,relatime,errors=remount-ro,data=ordered)

> > Ludo’.